Add an option to disable template caching
Closed, ResolvedPublic

Description

Author: vlakoff

Description:
When rendering a page, the result of a template with the same given parameters is only calculated the first time, and other same transclusions are taken from a cache.

This is usually fine, but may be undesirable, in rare cases.

For example, consider this case:

lorem ipsum 1<ref>AAA</ref>
{{reflist}}

lorem ipsum 2<ref>BBB</ref>
{{reflist}}

Here, the 2nd transclusion gives a wrong result.

I think it may be nice to implement a keyword, like NOTEMPLATECACHE which, as its name implies, would make template re-rendered. Of course, this option wouldn't (and has not to) be used often, but it would be useful in some edge cases.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=46815

bzimport added a project: MediaWiki-Templates.Via ConduitNov 21 2014, 11:57 PM
bzimport set Reference to bz31834.
bzimport created this task.Via LegacyOct 19 2011, 11:35 PM
bzimport added a comment.Via ConduitOct 19 2011, 11:38 PM

vlakoff wrote:

Of course, the keyword would have to be added in the template's page.

gerritbot added a comment.Via ConduitDec 7 2013, 12:58 AM

Change 99792 had a related patch set uploaded by Anomie:
Add PPFrame::isVolatile and PPFrame::setVolatile

https://gerrit.wikimedia.org/r/99792

gerritbot added a comment.Via ConduitDec 7 2013, 12:59 AM

Change 99793 had a related patch set uploaded by Anomie:
Mark parser hook output as volatile

https://gerrit.wikimedia.org/r/99793

gerritbot added a comment.Via ConduitMay 30 2014, 6:21 PM

Change 99792 merged by jenkins-bot:
Add PPFrame::isVolatile and PPFrame::setVolatile

https://gerrit.wikimedia.org/r/99792

gerritbot added a comment.Via ConduitMay 30 2014, 9:09 PM

Change 99793 merged by jenkins-bot:
Mark parser hook output as volatile

https://gerrit.wikimedia.org/r/99793

Jackmcbarn added a comment.Via ConduitMay 30 2014, 9:11 PM

Templates containing ref or reflist tags will no longer be cached. This change will be live on all WMF wikis starting on June 12th.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.